Alokai

SapccApiGetPromotionsRequest

Request parameters for getPromotions operation in SapccApi. SapccApiGetPromotionsRequest

interface SapccApiGetPromotionsRequest {
	readonly baseSiteId: string;
	readonly fields?: string;
	readonly promotionGroup?: string;
	readonly type: GetPromotionsTypeEnum;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetPromotions
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetPromotions
promotionGroupOptionalstringOnly promotions from this group are returned {string} SapccApiGetPromotions
typeRequiredGetPromotionsTypeEnumType of promotions that should be returned. Possible values are: <ul><li>all: All available promotions are returned. </li><li>product: Only product promotions are returned. </li><li>order: Only order promotions are returned. </li></ul> {'all' | 'product' | 'order'} SapccApiGetPromotions

Referenced Types

On this page